# DataExchange
TKSTEPBase
StepRepr

# StepRepr_CharacterizedDefinition Class Reference

Representation of STEP SELECT type CharacterizedDefinition
.

`#include <StepRepr_CharacterizedDefinition.hxx>`

Inheritance diagram for StepRepr_CharacterizedDefinition:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepRepr_CharacterizedDefinition ()
| Empty constructor .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a kind of CharacterizedDefinition select type 1 -> CharacterizedObject from StepBasic 2 -> ProductDefinition from StepBasic 3 -> ProductDefinitionRelationship from StepBasic 4 -> ProductDefinitionShape from StepRepr 5 -> ShapeAspect from StepRepr 6 -> ShapeAspectRelationship from StepRepr 7 -> DocumentFile from StepBasic 0 else .
Standard_EXPORT Handle_StepBasic_CharacterizedObject | CharacterizedObject () const
| Returns Value as CharacterizedObject (or Null if another type) .
Standard_EXPORT Handle_StepBasic_ProductDefinition | ProductDefinition () const
| Returns Value as ProductDefinition (or Null if another type) .
Standard_EXPORT Handle_StepBasic_ProductDefinitionRelationship | ProductDefinitionRelationship () const
| Returns Value as ProductDefinitionRelationship (or Null if another type) .
Standard_EXPORT Handle_StepRepr_ProductDefinitionShape | ProductDefinitionShape () const
| Returns Value as ProductDefinitionShape (or Null if another type) .
Standard_EXPORT Handle_StepRepr_ShapeAspect | ShapeAspect () const
| Returns Value as ShapeAspect (or Null if another type) .
Standard_EXPORT Handle_StepRepr_ShapeAspectRelationship | ShapeAspectRelationship () const
| Returns Value as ShapeAspectRelationship (or Null if another type) .
Standard_EXPORT Handle_StepBasic_DocumentFile | DocumentFile () const
| Returns Value as DocumentFile (or Null if another type) .

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_CharacterizedDefinition::StepRepr_CharacterizedDefinition | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepRepr_CharacterizedDefinition::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT Handle_StepBasic_CharacterizedObject StepRepr_CharacterizedDefinition::CharacterizedObject | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_DocumentFile StepRepr_CharacterizedDefinition::DocumentFile | ( |  | ) | const

void StepRepr_CharacterizedDefinition::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepRepr_CharacterizedDefinition::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepRepr_CharacterizedDefinition::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepBasic_ProductDefinition StepRepr_CharacterizedDefinition::ProductDefinition | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_ProductDefinitionRelationship StepRepr_CharacterizedDefinition::ProductDefinitionRelationship | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_ProductDefinitionShape StepRepr_CharacterizedDefinition::ProductDefinitionShape | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_ShapeAspect StepRepr_CharacterizedDefinition::ShapeAspect | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_ShapeAspectRelationship StepRepr_CharacterizedDefinition::ShapeAspectRelationship | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepRepr_CharacterizedDefinition.hxx